Package ru.bgcrm.util.inet

# Class IPUtils

java.lang.Object
ru.bgcrm.util.inet.IPUtils

public class IPUtils extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `IPUtils.Netv4`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IPUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `base64ToString(String base64Addr)`
  Преобразует BASE64 кодированный byte[] адрес в человекочитаемою строку.
  `static int`
  `convertBytesToInt(byte[] bytes)`
  Возвращает десятичное число, полученное преобразованием шестнадцатеричного
  `static byte[]`
  `convertIntToBytes(int value)`
  Возвращает шестнадцатеричное число (массив байтов), полученное преобразованием десятичного
  `static final String`
  `convertIpToString(int ip)`
  Преобразует IP в виде десятичного числа со знаком (4 байта) к dotted нотации
  `static final String`
  `convertLongIpToString(long ip)`
  Преобразует представление IP адреса в виде десятичного числа в строковое представление с точками-разделителями.
  `static final int`
  `convertStringIPtoInt(String ip_value)`
  Преобразует строковое представление IP адреса с точками-разделителями в десятичное число.
  `static final long`
  `convertStringIPtoLong(String ip_value)`
  Преобразует строковое представление IP адреса с точками-разделителями в десятичное число.
  `static final long`
  `convertStringIPtoLong(String ip_value, long error)`
  Преобразует строковое представление IP адреса с точками-разделителями в десятичное число.
  `static final long`
  `getMask(int size)`
  Возвращает маску сети заданной размерности
  `static IPUtils.Netv4`
  `getNet(long address, short bitmask)`
  `static String`
  `getStringRange(IpAddress from, IpAddress to)`
  `static long`
  `isIPaddress(String ipAddress)`
  Разбирает валидный только ip.
  `static final boolean`
  `isRangeValidNet(byte[] addrFrom, byte[] addrTo)`
  Проверка, является ли диапазон адресов IP сетью.
  `static final long[]`
  `netMaskToRange(long address, int netSize)`
  Преобразует адрес и размер сетки в диапазон адресов.
  `static final long[]`
  `netMaskToRange(long net, long mask)`
  Преобразует маску и сеть в виде целых чисел без знака в диапазон IP адресов
  `static String`
  `stringToBase64(String addr)`
  Преобразует человекочитаемый IP адрес в BASE64 кодированный byte[].
  `static IPUtils.Netv4`
  `subnet(long address1, long address2, short bitmask)`
  `static final int`
  `unsignedByteToInt(byte value)`
  Преобразование байта в целое без знака.
  `static final boolean`
  `validateIPv4(String ip)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IPUtils

    public IPUtils()

- ## Method Details

  - ### validateIPv4

    public static final boolean validateIPv4(String ip)

  - ### convertStringIPtoLong

    public static final long convertStringIPtoLong(String ip_value)
    Преобразует строковое представление IP адреса с точками-разделителями в десятичное число.
    Parameters:
      `ip_value` -
    Returns:
      IP адрес в виде десятичного числа либо 0L при ошибочном формате

  - ### convertStringIPtoLong

    public static final long convertStringIPtoLong(String ip_value, long error)
    Преобразует строковое представление IP адреса с точками-разделителями в десятичное число.
    Parameters:
      `ip_value` -
      `error` -
    Returns:
      IP адрес в виде десятичного числа либо error при ошибочном формате

  - ### isIPaddress

    public static long isIPaddress(String ipAddress)
    Разбирает валидный только ip.
    Parameters:
      `ipAddress` - строка-ip
    Returns:
      значение IP

  - ### convertLongIpToString

    public static final String convertLongIpToString(long ip)
    Преобразует представление IP адреса в виде десятичного числа в строковое представление с точками-разделителями.
    Parameters:
      `ip_value` -
    Returns:

  - ### convertStringIPtoInt

    public static final int convertStringIPtoInt(String ip_value)
    Преобразует строковое представление IP адреса с точками-разделителями в десятичное число. При этом занимается бит знака.
    Parameters:
      `ip_value` -
      `error` -
    Returns:
      IP адрес в виде десятичного числа либо 0 при ошибочном формате

  - ### convertIpToString

    public static final String convertIpToString(int ip)
    Преобразует IP в виде десятичного числа со знаком (4 байта) к dotted нотации
    Parameters:
      `ip` -
    Returns:

  - ### convertIntToBytes

    public static byte[] convertIntToBytes(int value)
    Возвращает шестнадцатеричное число (массив байтов), полученное преобразованием десятичного
    Parameters:
      `value` -
    Returns:

  - ### unsignedByteToInt

    public static final int unsignedByteToInt(byte value)
    Преобразование байта в целое без знака.
    Parameters:
      `value` -
    Returns:

  - ### convertBytesToInt

    public static int convertBytesToInt(byte[] bytes)
    Возвращает десятичное число, полученное преобразованием шестнадцатеричного
    Parameters:
      `bytes` - массив байтов: шестнадцатеричное число
    Returns:

  - ### netMaskToRange

    public static final long[] netMaskToRange(long net, long mask)
    Преобразует маску и сеть в виде целых чисел без знака в диапазон IP адресов
    Parameters:
      `net` - адрес сети
      `mask` - маска сети
    Returns:

  - ### netMaskToRange

    public static final long[] netMaskToRange(long address, int netSize)
    Преобразует адрес и размер сетки в диапазон адресов.
    Parameters:
      `address` - любой адрес сети
      `netSize` - размер адресной части сети в битах
    Returns:

  - ### getMask

    public static final long getMask(int size)
    Возвращает маску сети заданной размерности
    Parameters:
      `size` -
    Returns:

  - ### subnet

    public static IPUtils.Netv4 subnet(long address1, long address2, short bitmask)

  - ### getNet

    public static IPUtils.Netv4 getNet(long address, short bitmask)

  - ### isRangeValidNet

    public static final boolean isRangeValidNet(byte[] addrFrom, byte[] addrTo)
    Проверка, является ли диапазон адресов IP сетью.
    Parameters:
      `addrFrom` -
      `addrTo` -
    Returns:

  - ### getStringRange

    public static String getStringRange(IpAddress from, IpAddress to)

  - ### base64ToString

    public static String base64ToString(String base64Addr)
    Преобразует BASE64 кодированный byte[] адрес в человекочитаемою строку.
    Parameters:
      `base64Addr` -
    Returns:

  - ### stringToBase64

    public static String stringToBase64(String addr)
    Преобразует человекочитаемый IP адрес в BASE64 кодированный byte[].
    Parameters:
      `addr` -
    Returns: